#ifndef INC_PS2KBD_H
#define INC_PS2KBD_H
#include "config.h"

#define KBD_PINSEL  (0x20000000)
#define KBD_PINMASK (0x30000000)

//#define CLR_EINT1_FLAG() (EXTINT=0x02) //Clear EINT1 flag
//#define DISABLE_EINT1() (VICIntEnClear=(VIC_BIT(VIC_EINT1)))// EINT1 interrupt disabled
//#define ENABLE_EINT1() (VICIntEnable = (VIC_BIT(VIC_EINT1)))// EINT1 interrupt enabled

#define F1 0x80
#define F2 0x81
#define F3 0x82
#define F4 0x83
#define F5 0x84
#define F6 0x85
#define F7 0x86
#define F8 0x87
#define F9 0x88
#define F10 0x89
#define F11 0x90
#define F12 0x91

#define RESEND      0xFE
#define ACK         0xFA
#define BREAKCHAR   0xF0
#define LEFTSHIFT   0x12
#define RIGHTSHIFT  0x59
#define CTRLKEY     0x14
#define ALTKEY      0x11
#define CAPSLOCK    0x58
#define	NUMLOCK     0x77
#define SCROLLLOCK  0x7E
#define DOUBLECODE  0xE1
#define NONUMCODE   0xE0

#define KBLED_ON 1
#define KBLED_OFF 0

#define KBUFFSIZE 4

#define CAPSLED 0x04
#define NUMLED  0x01


DWORD cfgKeyboard(void);
void decode(unsigned char sc);
void putkeybuf(unsigned char c);
unsigned char xgetkey(void);
uint8_t keyhit(void);
void SendByte(uint8_t);

#endif

